/*jshint node:true */
module.exports = function ( grunt ) {
	grunt.loadNpmTasks( 'grunt-jsonlint' );
	grunt.loadNpmTasks( 'grunt-contrib-jshint' );
	grunt.loadNpmTasks( 'grunt-banana-checker' );

	grunt.initConfig( {
		banana: {
			lexicaldata: 'i18n/lexicaldata/',
			omegawiki: 'i18n/omegawiki/',
			options: {
				requireLowerCase: 'initial'
			}
		},
		jshint: {
			all: [
				'*.js',
				'!node_modules/**',
				'!vendor/**',
				'!resources/wforms.js' // # upstream lib
			]
		},
		jsonlint: {
			all: [
				'**/*.json',
				'!node_modules/**',
				'!vendor/**'
			]
		}
	} );

	grunt.registerTask( 'test', [ 'jsonlint', 'banana', 'jshint' ] );
	grunt.registerTask( 'default', 'test' );
};
